/**
 * <copyright>
 * </copyright>
 *
 * $Id: OrdinalAttributePropertiesValidator.java,v 1.1 2008-04-01 09:35:21 vmahe Exp $
 */
package orgomg.cwm.analysis.datamining.miningcore.miningdata.validation;

import orgomg.cwm.analysis.datamining.miningcore.miningdata.OrderType;

/**
 * A sample validator interface for {@link orgomg.cwm.analysis.datamining.miningcore.miningdata.OrdinalAttributeProperties}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface OrdinalAttributePropertiesValidator {
	boolean validate();

	boolean validateOrderType(OrderType value);
	boolean validateIsCyclic(boolean value);
}
